#note this package is not prefixable
%define	name	ctags
%define version 5.6
%define release %mkrel 3

Summary:	Generates an index (or "tag") file for objects found in source files.
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://ctags.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/ctags/%{name}-%{version}.tar.bz2
License:	GPL
Group:		Development/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The ctags program generate an index (or "tag") file for a variety of
language objects found in files.  This tag file allows these items to
be quickly and easily located by a text editor or other utility.  A
"tag" signifies a language object for which an index entry is
available (or, alternatively, the index entry created for that object).

Alternatively, ctags can generate a cross reference file which lists, in
human readable form, information about the various source objects found in
a set of language files.

%prep
%setup -q
# fix permission for %doc
chmod a+r ctags.html

%build
%configure --disable-etags --enable-tmpdir=/tmp
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mv $RPM_BUILD_ROOT/%_bindir/ctags $RPM_BUILD_ROOT/%_bindir/exuberant-ctags
mv $RPM_BUILD_ROOT/%_mandir/man1/ctags.1 $RPM_BUILD_ROOT/%_mandir/man1/exuberant-ctags.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %_bindir/ctags ctags %_bindir/exuberant-ctags 10 \
                    --slave %_mandir/man1/ctags.1.bz2 ctags.1.bz2 %_mandir/man1/exuberant-ctags.1.bz2

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove ctags %_bindir/exuberant-ctags

%files
%defattr(-,root,root)
%_bindir/exuberant-ctags
%_mandir/man1/exuberant-ctags.1*
%doc COPYING EXTENDING.html FAQ NEWS README ctags.html


%changelog
* Sun Jan 21 2007 Gustavo De Nardin <gustavodn@mandriva.com> 5.6-3mdv2007.0
+ Revision: 111184
- disable build of etags binary
- specify /tmp as temporary directory (fixes bug #26214)

* Fri Jan 19 2007 Gustavo De Nardin <gustavodn@mandriva.com> 5.6-2mdv2007.1
+ Revision: 110767
- fixed permissions of ctags.html

* Fri Jan 19 2007 Gustavo De Nardin <gustavodn@mandriva.com> 5.6-1mdv2007.1
+ Revision: 110546
- added documentation files to package
- new version 5.6
- changed Group from Editors to Development/Other



* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 5.5.4-2mdk
- Rebuild

* Wed May 12 2004 Michael Scherer <misc@mandrake.org> 5.5.4-1mdk
- New release 5.5.4
- rpmbuildupdate aware

* Mon Jan 26 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 5.5.2-1mdk
- 5.5.2
- fix unpackaged files
- rm -rf $RPM_BUILD_ROOT in %%install
- don't mess with $RPM_BUILD_DIR
- cosmetics

* Wed Jul 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.5-1mdk
- new release

* Thu Nov 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4-1mdk
- new release
- remove useless prefix

* Sun Apr 14 2002 Yves Duret <yduret@mandrakesoft.com> 5.2.3-2mdk
- added a ctags.1 man page with alternatives (--slave)
  requested by "Michal 'hramrach' Suchanek" <hramrach_l@centrum.cz>

* Thu Mar 28 2002 Warly <warly@mandrakesoft.com> 5.2.3-1mdk
- new version

* Wed Jan  2 2002 Warly <warly@mandrakesoft.com> 5.2.0-1mdk
- new version
- add url tag

* Wed Oct  3 2001 DindinX <odin@mandrakesoft.com> 5.0.1-3mdk
- rebuild (calm down rpminst)

* Fri Jul 20 2001 DindinX <odin@mandrakesoft.com> 5.0.1-2mdk
- fix alternative executable name (thanks to Alexander Skwar)

* Fri Jul 20 2001 DindinX <odin@mandrakesoft.com> 5.0.1-1mdk
- 5.0.1
- s/Copyright/License/
- use alternative, so won't conflict with xemacs-extras
  (reported by Alexander Skwar <ASkwar@digitalprojects.com>)

* Wed Oct 18 2000 DindinX <odin@mandrakesoft.com> 4.0.3-1mdk
- 4.0.3
- First release as a standalone package
